<!DOCTYPE html>
<html>
<head>
   <!--
      JavaScript 6th Edition
      Chapter 5
      Hands-on Project 5-5

      Author:Daniel Findlay
      Date:March 15, 2019   

      Filename: index.htm
   -->
   <meta charset="utf-8" />
   <meta name="viewport" content="width=device-width,initial-scale=1.0">
   <title>Hands-on Project 5-5</title>
   <link rel="stylesheet" href="styles.css" />
   <script src="modernizr.custom.05819.js"></script>
</head>

<body>
   <header>
      <h1>
         Hands-on Project 5-5
      </h1>
   </header>

   <article>
      <h2>United States Bill of Rights</h2>
      <h3>Table of Contents</h3>
      <ul></ul>
      <h3 id="1">Amendment I</h3>
      <p>Congress shall make no law respecting an establishment of religion, or prohibiting the free exercise thereof; or abridging the freedom of speech, or of the press; or the right of the people peaceably to assemble, and to petition the Government for a redress of grievances.</p>
      <h3 id="2">Amendment II</h3>
      <p>A well regulated Militia, being necessary to the security of a free State, the right of the people to keep and bear Arms, shall not be infringed.</p>
      <h3 id="3">Amendment III</h3>
      <p>No Soldier shall, in time of peace be quartered in any house, without the consent of the Owner, nor in time of war, but in a manner to be prescribed by law.</p>
      <h3 id="4">Amendment IV</h3>
      <p>The right of the people to be secure in their persons, houses, papers, and effects, against unreasonable searches and seizures, shall not be violated, and no Warrants shall issue, but upon probable cause, supported by Oath or affirmation, and particularly describing the place to be searched, and the persons or things to be seized.</p>
      <h3 id="5">Amendment V</h3>
      <p>No person shall be held to answer for a capital, or otherwise infamous crime, unless on a presentment or indictment of a Grand Jury, except in cases arising in the land or naval forces, or in the Militia, when in actual service in time of War or public danger; nor shall any person be subject for the same offence to be twice put in jeopardy of life or limb; nor shall be compelled in any criminal case to be a witness against himself, nor be deprived of life, liberty, or property, without due process of law; nor shall private property be taken for public use, without just compensation.</p>
      <h3 id="6">Amendment VI</h3>
      <p>In all criminal prosecutions, the accused shall enjoy the right to a speedy and public trial, by an impartial jury of the State and district wherein the crime shall have been committed, which district shall have been previously ascertained by law, and to be informed of the nature and cause of the accusation; to be confronted with the witnesses against him; to have compulsory process for obtaining witnesses in his favor, and to have the Assistance of Counsel for his defence.</p>
      <h3 id="7">Amendment VII</h3>
      <p>In Suits at common law, where the value in controversy shall exceed twenty dollars, the right of trial by jury shall be preserved, and no fact tried by a jury, shall be otherwise re-examined in any Court of the United States, than according to the rules of the common law.</p>
      <h3 id="8">Amendment VIII</h3>
      <p>Excessive bail shall not be required, nor excessive fines imposed, nor cruel and unusual punishments inflicted.</p>
      <h3 id="9">Amendment IX</h3>
      <p>The enumeration in the Constitution, of certain rights, shall not be construed to deny or disparage others retained by the people.</p>
      <h3 id="10">Amendment X</h3>
      <p>The powers not delegated to the United States by the Constitution, nor prohibited by it to the States, are reserved to the States respectively, or to the people.</p>
   </article>
   <script>

   function createTOC() {
      var list= document.querySelector("ul");
      var headingText="";
      var TOCEntry="";

      for (var i=1; i<=10; i++) {
         headingText = document.getElementById(i).innerHTML;
         TOCEntry = document.createElement("li");
         TOCEntry.innerHTML="<a href=#" + i + ">" + headingText + "</a>";
         list.appendChild(TOCEntry);
      }
}
   if(window.addEventListener) {
      window.addEventListener("load", createTOC, false); }
   else if (window.attachEvent) {
         window.attachEvent("onload", createTOC);
}
   </script>
</body>
</html>
